Bluetooth will be disable after resume from suspend on Xenial

Bug #1561474 reported by Po-Hsu Lin on 2016-03-24
214
This bug affects 44 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

CID: 201208-11536 Dell Latitude 6430u

The Bluetooth will be disabled after resume from suspend.
You will need to use "hciconfig hci0 reset" to enable it.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-15-generic 4.4.0-15.31
ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
Uname: Linux 4.4.0-15-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1202 F.... pulseaudio
CurrentDesktop: Unity
Date: Thu Mar 24 19:14:07 2016
HibernationDevice: RESUME=UUID=25c03762-079c-4c6d-aedb-ec768318a6bf
InstallationDate: Installed on 2016-03-24 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151209)
MachineType: Dell Inc. Latitude 6430U
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-15-generic root=UUID=18cfda3e-4f3d-40cf-8e7e-a83030819487 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-15-generic N/A
 linux-backports-modules-4.4.0-15-generic N/A
 linux-firmware 1.157
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/15/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.asset.tag: 1234567
dmi.board.name: 0MN74V
dmi.board.vendor: Dell Inc.
dmi.board.version: X01
dmi.chassis.asset.tag: 1234567
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd11/15/2012:svnDellInc.:pnLatitude6430U:pvr01:rvnDellInc.:rn0MN74V:rvrX01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude 6430U
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.5 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: kernel-da-key
Po-Hsu Lin (cypressyew) wrote :

This bug is fixed in the mainline kernel, 4.5.0-040500-generic #201603140130

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
Phillip G. (thedimmu) on 2016-05-01
summary: - Bluetooth will be disable after reusme from suspend on Xenial
+ Bluetooth will be disable after resume from suspend on Xenial
Nworbnhoj (nworbnhoj) wrote :

This bug still exists on Lenovo X220 with Ubuntu 16.04 running kernel 4.5.0-040500-generic

Przemyslaw Kujawski (przemekk) wrote :

The same bug exists on my Lenovo ThinkPad Edge E320 with Ubuntu 16.04.1.
Newest, upstream kernel (4.7.0-040700-generic) seems resolving it.

erintiransom (israelplanaguma) wrote :

I marked my bug #1611188 "Bluetooth doesn't work after recovering computer from sleeping" as a duplicate of this. Sorry, somehow I missed this bug that was already open.

Same thing with Dell Latitude E6410 with bluetooth adapter:
430-3659 : Dell Wireless 375 Bluetooth Module, Dell Latitude E

Although this morning I didn't have the problem, which ALWAYS happens, so I think it might have been fixed by yesterday's update to linux-firmware 1.157.3:

https://launchpad.net/ubuntu/+source/linux-firmware/1.157.3

linux-firmware (1.157.3) xenial; urgency=medium

  * linux-firmware: Add firmware file for Intel Bluetooth 8265 (LP: #1599071)

I think it's been solved for some people, at least!

erintiransom (israelplanaguma) wrote :

Just kidding. It's doing it again.

It find it is a very weird coincidence that it didn't do it, just once, yesterday morning after restarting from an update the night before that actually had to do with firmware for a bluetooth adapter.

Przemyslaw Kujawski (przemekk) wrote :

I can confirm that new linux-firmware package didn't change anything for me either.

erintiransom (israelplanaguma) wrote :

I have to add that in my case, 16,6% to 20% of the times (1 out of 5 or 6 times) the bluetooth is working after recovering from sleep mode, since the update.

Before the update, it was 1% of the time -I don't have real statistics, the idea is that it barely ever happened.

Weird.

Eliyahu Orzitzer (e-orz) wrote :

Adding my case: Dell E6410, never works and has to be reset.

Eliyahu Orzitzer (e-orz) wrote :

BTW, it's a regression and it worked well on 14.04

Przemyslaw Kujawski (przemekk) wrote :

I can confirm that sometimes bluetooth is enabled after system resume.

Yes, sometimes.

Something else that's curious: sometimes I have a problem with the graphics
after Ubuntu wakes up from sleep, there is a black box around all menus and
anything I point out with the mouse. I found a complicated solution years
ago -this happened in Ubuntu 15.10 too- but recently I found it's easier to
switch to any terminal (CTRL + ALT + F2 / F3 / ... not F7) and go back to
the GUI (CTRL + ALT + F7). This fixes the problem with the graphic card
(NVIDIA something). The curious thing, though, is that it sometimes will
ALSO fix the problem with the bluetooth. Only sometimes. WEIRD.

El dj., 29 set. 2016 a les 21:25, Przemyslaw Kujawski (<email address hidden>)
va escriure:

> I can confirm that sometimes bluetooth is enabled after system resume.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1611188).
> https://bugs.launchpad.net/bugs/1561474
>
> Title:
> Bluetooth will be disable after resume from suspend on Xenial
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1561474/+subscriptions
>
--
Israel Planagumà
<email address hidden>

Same issue here with a Dell Latitude e7240

tags: removed: kernel-da-key
mosquito (doppelwhopper) wrote :

same bug here on Lenovo S20-30, i filld a bug report and marked it as duplicated #1632360

Daniel T. (pterion) wrote :

Affects me on Lenovo X1 Carbon with Ubuntu 16.04 4.4.0-65-generic. Might be some kind of race condition when going to sleep. I read somewhere that hardware does not always notify the kernel (in time) that it goes to sleep...

Another story is that I shortly the screen with open windows before the lock screen appears and asks for password.

Kuang-Yu Chang (samio54321-x) wrote :

same bug for me on Lenovo x270, with ubuntu 16.04 4.8.0-45-generic

Przemyslaw Kujawski (przemekk) wrote :

For me, bug never occurred after upgrading to latest HWE (16.04.2 - 4.8.0-45-generic kernel on Lenovo ThinkPad Edge E320).

Kuang-Yu Chang (samio54321-x) wrote :
Download full text (4.5 KiB)

It seems the problem for me is the action of 'turn off' bluetooth.

I dual boot with Windows 10. If I chose to 'reboot' (not shutdown) from windows and boot into ubuntu, bluetooth will start properly and working fine. The moment I turned off bluetooth it stop working, even reboot again.

I past below the output for command `dmesg|grep -i blue` under the situations of working and not working.

From the dmesg output, it seems different firmware is being loaded for the two cases (revision 0.1 works while revision 0.0 not work). I suspect that the bluetooth daemon modify some of the hardware file when it is turned off. The same for windows 10, I guess it also modifies some hardware file on restart.

================= WORKING CASE ===================
[ 3.393285] Bluetooth: Core ver 2.21
[ 3.393293] Bluetooth: HCI device and connection manager initialized
[ 3.393295] Bluetooth: HCI socket layer initialized
[ 3.393296] Bluetooth: L2CAP socket layer initialized
[ 3.393300] Bluetooth: SCO socket layer initialized
[ 3.403438] Bluetooth: HCI UART driver ver 2.3
[ 3.403439] Bluetooth: HCI UART protocol H4 registered
[ 3.403439] Bluetooth: HCI UART protocol BCSP registered
[ 3.403440] Bluetooth: HCI UART protocol LL registered
[ 3.403440] Bluetooth: HCI UART protocol ATH3K registered
[ 3.403441] Bluetooth: HCI UART protocol Three-wire (H5) registered
[ 3.403491] Bluetooth: HCI UART protocol Intel registered
[ 3.403504] Bluetooth: HCI UART protocol BCM registered
[ 3.403504] Bluetooth: HCI UART protocol QCA registered
[ 3.403505] Bluetooth: HCI UART protocol AG6XX registered
[ 3.478393] Bluetooth: hci0: Firmware revision 0.1 build 68 week 27 2016
[ 4.884372] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is unblocked
[ 5.560960] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 5.560961] Bluetooth: BNEP filters: protocol multicast
[ 5.560963] Bluetooth: BNEP socket layer initialized
[ 10.825093] Bluetooth: RFCOMM TTY layer initialized
[ 10.825097] Bluetooth: RFCOMM socket layer initialized
[ 10.825101] Bluetooth: RFCOMM ver 1.11
================= END OF WORKING CASE ===================

================== NOT WORKING CASE =====================
[ 3.536266] Bluetooth: Core ver 2.21
[ 3.536275] Bluetooth: HCI device and connection manager initialized
[ 3.536276] Bluetooth: HCI socket layer initialized
[ 3.536278] Bluetooth: L2CAP socket layer initialized
[ 3.536281] Bluetooth: SCO socket layer initialized
[ 3.546498] Bluetooth: HCI UART driver ver 2.3
[ 3.546499] Bluetooth: HCI UART protocol H4 registered
[ 3.546500] Bluetooth: HCI UART protocol BCSP registered
[ 3.546500] Bluetooth: HCI UART protocol LL registered
[ 3.546501] Bluetooth: HCI UART protocol ATH3K registered
[ 3.546501] Bluetooth: HCI UART protocol Three-wire (H5) registered
[ 3.546532] Bluetooth: HCI UART protocol Intel registered
[ 3.546544] Bluetooth: HCI UART protocol BCM registered
[ 3.546545] Bluetooth: HCI UART protocol QCA registered
[ 3.546545] Bluetooth: HCI UART protocol AG6XX registered
[ 3.632162] Bluetooth: hci0: Bootloader revision 0.0 build 26 week 38 2015
[ ...

Read more...

MilkThief (evazzoler) wrote :

This bug still exists on Lenovo T420 with Ubuntu 16.04 running kernel 4.4.0-83-generic

Rainer Rohde (rainer-rohde) wrote :

This bug still exists on Dell XPS 15 running Ubuntu 17.10, kernel 4.13.0-17-generic

Kai-Heng Feng (kaihengfeng) wrote :

Rainer,
Please file a separate bug, thanks!

Ubfan (ubfan1) wrote :

The bluetooth failure to resume after a suspend seems USB related. The failure happens
about 50% of the time, and when it does, disabling bluetooth and restarting fixes
it.
On a Lenovo W520, Ubuntu 16.04, 64 bit, kernel 4.4.0-98-generic, Microsoft Sculpt
Comfort BT mouse.

Looking at dmesg|tail on the restoring of BT mouse after sleep and restarting
it, a new USB device is created and used.

Return from sleep, BT indicator greyed, BT says OFF, BT mouse is inactive.
From the indicator, start BT settings, and from the settings, turn off bluetooth,
(indicator disappears), one line is added to dmesg output:

[37331.845034] usb 1-1.4: USB disconnect, device number 10

From the settings, turn back on the BT active switch (BT indicator appears):

[37353.288616] usb 1-1.4: new full-speed USB device number 11 using ehci-pci
[37353.386069] usb 1-1.4: New USB device found, idVendor=0a5c, idProduct=217f
[37353.386079] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[37353.386084] usb 1-1.4: Product: Broadcom Bluetooth Device
[37353.386089] usb 1-1.4: Manufacturer: Broadcom Corp
[37353.386092] usb 1-1.4: SerialNumber: 60D819B1B675
[37353.578455] [UFW BLOCK] IN=wlp3s0 OUT= MAC=01:00:5e:00:00:01:c0:56:27:ce:27:3e:08:00
        SRC=192.168.1.1 DST=224.0.0.1 LEN=28 TOS=0x00 PREC=0xC0 TTL=1 ID=61239 PROTO=2

Note the USB device number 10 was disconnected, but the new USB device is 11.
BT indicator is still greyed, BT switch is off, mouse inactive. Turn on BT in the indicator
Indicator becomes white.
Absolutely no change in the dmesg output

Click/move mouse to connect, lock shows on BT indicator

[37414.788430] hid-generic 0005:045E:07A2.0012: unknown main item tag 0x0
[37414.789070] input: Microsoft Sculpt Comfort Mouse as /devices/pci0000:00/0000:00:1a.0
  /usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:045E:07A2.0012/input/input32
[37414.789676] hid-generic 0005:045E:07A2.0012: input,hidraw2: BLUETOOTH HID v1.29 Mouse
  [Microsoft Sculpt Comfort Mouse] on 60:d8:19:b1:b6:75

Note the USB device has incremented to input32 (this has happened many times
on this running system)

s (sendmeloadsofjunk) wrote :

Seeing very similar symptoms on Ubuntu 17.10 running 4.13.0-19-generic or 4.14.0-041400-generic.
Sometimes, but not every time, BT is not available after resuming from suspend.

From other data sources, the root cause is a lack of .reset_resume handler in the BT driver.

A possible interim fix (worked for me) is

sudo modprobe -r btusb
sudo modprobe btusb

This at least gets BT up again.

A possible (but not confirmed) temporary reboot-persistent fix is

sudo vi /etc/modprobe.d/btusb.conf

and add line with:
"options btusb reset=1"

s.illes79 (s-illes79-gmail) wrote :

sendmeloadsofjunk, I have the exact same problem, after resume BT just does not work.

I tried reloading btusb without any luck.
Also tried the modprobe reset workaround, but no luck :(

only reboot helps :(

My laptop is a dell XPS 13 9360

Kai-Heng Feng (kaihengfeng) wrote :

> On 5 Jan 2018, at 11:08 PM, s.illes79 <email address hidden> wrote:
>
> sendmeloadsofjunk, I have the exact same problem, after resume BT just
> does not work.
>
> I tried reloading btusb without any luck.
> Also tried the modprobe reset workaround, but no luck :(
>
> only reboot helps :(
>
> My laptop is a dell XPS 13 9360

Please file a separate bug for your XPS 13 issue, thanks.

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1561474
>
> Title:
> Bluetooth will be disable after resume from suspend on Xenial
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> CID: 201208-11536 Dell Latitude 6430u
>
> The Bluetooth will be disabled after resume from suspend.
> You will need to use "hciconfig hci0 reset" to enable it.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: linux-image-4.4.0-15-generic 4.4.0-15.31
> ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
> Uname: Linux 4.4.0-15-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 1202 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Thu Mar 24 19:14:07 2016
> HibernationDevice: RESUME=UUID=25c03762-079c-4c6d-aedb-ec768318a6bf
> InstallationDate: Installed on 2016-03-24 (0 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151209)
> MachineType: Dell Inc. Latitude 6430U
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-15-generic root=UUID=18cfda3e-4f3d-40cf-8e7e-a83030819487 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-15-generic N/A
> linux-backports-modules-4.4.0-15-generic N/A
> linux-firmware 1.157
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/15/2012
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A02
> dmi.board.asset.tag: 1234567
> dmi.board.name: 0MN74V
> dmi.board.vendor: Dell Inc.
> dmi.board.version: X01
> dmi.chassis.asset.tag: 1234567
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias: dmi:bvnDellInc.:bvrA02:bd11/15/2012:svnDellInc.:pnLatitude6430U:pvr01:rvnDellInc.:rn0MN74V:rvrX01:cvnDellInc.:ct9:cvr:
> dmi.product.name: Latitude 6430U
> dmi.product.version: 01
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1561474/+subscriptions

Ubfan (ubfan1) wrote :

Ubuntu 18.04 running bluez 5.37-0ubuntu5.1 has fixed the 16.04 problem of bluetooth not running after a suspend. My mouse has successfully reconnected 100+ times. The USB inputxx is still incrementing at each resume, so that may not have been related to the problem.

Ubuntu 18.04 has issues , bluetooth headphone doesn't connect or not added in output sound device after resume. Restarting headphone doesn't work, tested with two different headphones.

workaround :
sudo service bluetooth restart

version : bluez 5.48

Download full text (6.5 KiB)

Full log:
1. Login (no headphone connected)
2. suspend and resume twice (no headphone connected)
3. resume and try to connect headphone, connected but no audio output device listed
4. restart bluetooth service, headphone connect successfully, audio output device added

May 14 11:17:28 shantanu-X510UQ NetworkManager[1116]: <info> [1526275048.2605] bluez: use BlueZ version 5
May 14 11:17:29 shantanu-X510UQ NetworkManager[1116]: <info> [1526275049.2513] bluez5: NAP: added interface F8:59:71:69:20:98
May 14 11:17:44 shantanu-X510UQ dbus-daemon[4508]: [session uid=1000 pid=4508] Activating via systemd: service name='org.bluez.obex' unit='dbus-org.bluez.obex.service' requested by ':1.68' (uid=1000 pid=4869 comm="/usr/bin/python3 /usr/bin/blueman-applet " label="unconfined")
May 14 11:17:44 shantanu-X510UQ dbus-daemon[4508]: [session uid=1000 pid=4508] Successfully activated service 'org.bluez.obex'
May 14 12:29:39 shantanu-X510UQ NetworkManager[1116]: <info> [1526279379.8623] bluez5: NAP: removed interface F8:59:71:69:20:98
May 14 12:29:41 shantanu-X510UQ pulseaudio[4664]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_90_CD_B6_59_6E_08 points to a nonexistent adapter /org/bluez/hci0.
May 14 12:29:41 shantanu-X510UQ pulseaudio[4664]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_F0_13_C3_72_2C_16 points to a nonexistent adapter /org/bluez/hci0.
May 14 12:29:41 shantanu-X510UQ pulseaudio[4664]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_00_12_D0_11_EA_9F points to a nonexistent adapter /org/bluez/hci0.
May 14 12:29:41 shantanu-X510UQ NetworkManager[1116]: <info> [1526279381.4018] bluez5: NAP: added interface F8:59:71:69:20:98
May 14 20:52:58 shantanu-X510UQ NetworkManager[1103]: <info> [1526309578.7139] bluez: use BlueZ version 5
May 14 20:52:59 shantanu-X510UQ NetworkManager[1103]: <info> [1526309579.6354] bluez5: NAP: added interface F8:59:71:69:20:98
May 14 20:53:21 shantanu-X510UQ dbus-daemon[4329]: [session uid=1000 pid=4329] Activating via systemd: service name='org.bluez.obex' unit='dbus-org.bluez.obex.service' requested by ':1.67' (uid=1000 pid=4680 comm="/usr/bin/python3 /usr/bin/blueman-applet " label="unconfined")
May 14 20:53:21 shantanu-X510UQ dbus-daemon[4329]: [session uid=1000 pid=4329] Successfully activated service 'org.bluez.obex'
May 14 21:13:18 shantanu-X510UQ NetworkManager[1103]: <info> [1526310798.8622] bluez5: NAP: removed interface F8:59:71:69:20:98
May 14 21:13:20 shantanu-X510UQ pulseaudio[4482]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_90_CD_B6_59_6E_08 points to a nonexistent adapter /org/bluez/hci0.
May 14 21:13:20 shantanu-X510UQ pulseaudio[4482]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_F0_13_C3_72_2C_16 points to a nonexistent adapter /org/bluez/hci0.
May 14 21:13:20 shantanu-X510UQ pulseaudio[4482]: [pulseaudio] bluez5-util.c: Device /org/bluez/hci0/dev_00_12_D0_11_EA_9F points to a nonexistent adapter /org/bluez/hci0.
May 14 21:13:20 shantanu-X510UQ NetworkManager[1103]: <info> [1526310800.3927] bluez5: NAP: added interface F8:59:71:69:20:98
May 14 23:01:33 shantanu-X510UQ NetworkManager[1103]: <info> [1526317293.8758] bluez5: NAP: removed interface...

Read more...

Marshall (maroc81) wrote :

Upgrading bluez to 5.50 as mentioned in link below fixed the problem with bluetooth headphones not connecting after resume on Ubuntu 18.04.

https://askubuntu.com/questions/1036195/bluetooth-doesnt-work-after-resuming-from-sleep-ubuntu-18-04-lts

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers